function f=se(x)
%Search of crossing between a load line and plate curve
global MU EX KG1 KP KVB VCT a b Ug Type Pfn Us

Ip1=((-x(1)+a)./a).*b;			%load line
if strcmp(Type,'Triode');
%Triode
	e = x(1)./KP.*log(1+exp(KP.*(1./MU+(Ug+VCT)./sqrt(KVB+x(1).^2))));
   Ip2 = (e.^EX)./KG1.*(1+sign(e));
elseif strcmp(Type,'Pentode');
%Pentode
   e = (Us./KP).*log(1+exp(KP.*(1/MU+(Ug+VCT)./Us)));
   Ip2 = (e.^EX)./KG1.*(1+sign(e));
   if Pfn == 2;
      Ip2 = pi/2*Ip2.*(1-exp(-2*x(1)/(pi*KVB)));	  
   elseif Pfn == 3;
      Ip2 = pi/2*Ip2.*tanh(2*x(1)/(pi*KVB));			
   else  
      Ip2 = Ip2.*atan(x(1)./KVB);							
   end

else
   error('Bad tube Type')
end


f=(Ip2-Ip1)^2;

return